CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Qualifier Class Reference

## Public Member Functions
| Qualifier ($QualifierId=NULL)
| Load the qualifier with the given ID or create a new qualifier if no ID is given.
| Status ()
| Get the status of this qualifier.
| Delete ()
| Delete the qualifier if in a valid state.
| Id ()
| Get the qualifier ID.
| Name ($NewValue=DB_NOVALUE)
| Get or set the qualifier name.
| NSpace ($NewValue=DB_NOVALUE)
| Get or set the qualifier namespace.
| Url ($NewValue=DB_NOVALUE)
| Get or set the qualifier URL.

## Public Attributes
const | STATUS_OK = 0
| Status code used for an okay, valid qualifier.
const | STATUS_DOES_NOT_EXIST = 1
| Status code used for a non-existent qualifier.

## Protected Member Functions
| UpdateValue ($FieldName, $NewValue)
| Convenience method to supply parameters to Database::UpdateValue().

## Protected Attributes
| $Id
| $Status
| $DB
| $DBFields

## Detailed Description

Definition at line 10 of file Qualifier.php.

## Member Function Documentation

Qualifier::Delete | ( |  | ) |

Delete the qualifier if in a valid state.

Returns
  void

Definition at line 93 of file Qualifier.php.

References Id(), and Status().

Qualifier::Id | ( |  | ) |

Get the qualifier ID.

Returns
  int qualifier ID

Definition at line 114 of file Qualifier.php.

References $Id.

Referenced by Delete(), Qualifier(), and UpdateValue().

Here is the caller graph for this function:

Qualifier::Name | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier name.

Parameters

  string | $NewValue | optional new qualifier name

Returns
  string the current qualifier name

Definition at line 124 of file Qualifier.php.

References UpdateValue().

Qualifier::NSpace | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier namespace.

Parameters

  string | $NewValue | optional new qualfier namespace

Returns
  string the current qualifier namespace

Definition at line 134 of file Qualifier.php.

References UpdateValue().

Qualifier::Qualifier | ( |  | $QualifierId = `NULL` | ) |

Load the qualifier with the given ID or create a new qualifier if no ID is given.

Parameters

  int | $Id | qualifier ID

Returns
  void

Definition at line 31 of file Qualifier.php.

References Id(), and Status().

Qualifier::Status | ( |  | ) |

Get the status of this qualifier.

Returns
  int status code

Definition at line 84 of file Qualifier.php.

References $Status.

Referenced by Delete(), and Qualifier().

Here is the caller graph for this function:

Qualifier::UpdateValue | ( |  | $FieldName,
|  |  | $NewValue
| ) |  |
| protected

Convenience method to supply parameters to Database::UpdateValue().

Parameters

  string | $FieldName | database field name
  mixed | $NewValue | new value for the field or DB_NOVALUE

Returns
  mixed the current value for the field name

Definition at line 177 of file Qualifier.php.

References Id().

Referenced by Name(), NSpace(), and Url().

Here is the caller graph for this function:

Qualifier::Url | ( |  | $NewValue = `DB_NOVALUE` | ) |

Get or set the qualifier URL.

Parameters

  string | $NewValue | optional new qualifier URL

Returns
  string the current qualifier URL

Definition at line 144 of file Qualifier.php.

References UpdateValue().

## Member Data Documentation

Qualifier::$DB
| protected

Definition at line 164 of file Qualifier.php.

Qualifier::$DBFields
| protected

Definition at line 169 of file Qualifier.php.

Qualifier::$Id
| protected

Definition at line 154 of file Qualifier.php.

Referenced by Id().

Qualifier::$Status
| protected

Definition at line 159 of file Qualifier.php.

Referenced by Status().

const Qualifier::STATUS_DOES_NOT_EXIST = 1

Status code used for a non-existent qualifier.

Definition at line 23 of file Qualifier.php.

const Qualifier::STATUS_OK = 0

Status code used for an okay, valid qualifier.

Definition at line 18 of file Qualifier.php.

The documentation for this class was generated from the following file:

- objects/Qualifier.php